Name:           app-core
Summary:        Application basic
Version:        1.5.0
Release:        0
Group:          Application Framework/Libraries
License:        Apache-2.0
Source0:        app-core-%{version}.tar.gz
BuildRequires:  pkgconfig(ecore-wayland)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(tizen-extension-client)
BuildRequires:  pkgconfig(wayland-tbm-client)
Source1001:     app-core.manifest
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(sensor)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(rua)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pkgmgr-info)
BuildRequires:  pkgconfig(ttrace)
BuildRequires:  cmake
BuildRequires:  pkgconfig(capi-system-info)

%description
SLP common application basic


%package efl
Summary:    App basic EFL
Group:      Development/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description efl
Application basic EFL


%package efl-devel
Summary:    App basic EFL (devel)
Group:      Development/Libraries
Requires:   %{name}-efl = %{version}-%{release}
Requires:   %{name}-common-devel = %{version}-%{release}

%description efl-devel
Application basic EFL (devel)


%package common
Summary:    App basics common
Group:      Development/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description common
Application basics common


%package common-devel
Summary:    App basics common (devel)
Group:      Development/Libraries
Requires:   %{name}-common = %{version}-%{release}
Requires:   pkgconfig(sensor)
Requires:   pkgconfig(vconf)
Requires:   pkgconfig(elementary)
Requires:   pkgconfig(aul)

%description common-devel
Application basics common (devel)


%package template
Summary:    App basics template
Group:      Development/Libraries

%description template
Application basics template

%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . \
	-DENABLE_GTK=OFF \
	-DFULLVER=%{version} \
	-DMAJORVER=${MAJORVER}

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%make_install


%post -n app-core-efl -p /sbin/ldconfig

%postun -n app-core-efl -p /sbin/ldconfig

%post -n app-core-common -p /sbin/ldconfig

%postun -n app-core-common -p /sbin/ldconfig


%files efl
%manifest %{name}.manifest
%{_libdir}/libappcore-efl.so.*
%license LICENSE

%files efl-devel
%manifest %{name}.manifest
%{_includedir}/appcore/appcore-efl.h
%{_includedir}/appcore/appcore_ui_base.h
%{_libdir}/libappcore-efl.so
%{_libdir}/pkgconfig/appcore-efl.pc

%files common
%manifest %{name}.manifest
%{_libdir}/libappcore-common.so.*
%license LICENSE

%files common-devel
%manifest %{name}.manifest
%{_libdir}/libappcore-common.so
%{_libdir}/pkgconfig/appcore-common.pc
%{_includedir}/appcore/appcore-common.h
%{_includedir}/appcore/appcore_base.h

